
Redmine - Defect #17066

Internal error when accessing Admin/Settings, Account

2014-06-03 12:26 - Robert Dembrowski

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.4.5

Description

I get error "incompatible character encodings: ASCII-8BIT and UTF-8" error accessing Setting and other sits.

ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

rubygems-1.8.24

redmine-2.4.5

Database encoding: UTF8

mysql-server-5.1.73-3.el6_5.x86_64

[ 2014-06-03 12:08:10.2680 5700/7fe06525e700 Pool2/SmartSpawner.h:297 ]: Preloader for /home/www/redmine started on PID

5737, listening on unix:/tmp/passenger.1.0.5695/generation-0/backends/preloader.5737

App 5762 stdout:

App 5737 stderr:

App 5737 stderr: ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

App 5737 stderr:     6: <p><%= setting_multiselect(:default_projects_modules,

App 5737 stderr:     7:         Redmine::AccessControl.available_project_modules.collect {|m| [l_or_humanize(m, :prefix =>

"project_module_"), m.to_s]}) ></p>

App 5737 stderr:     8:

App 5737 stderr:     9: <p><= setting_multiselect(:default_projects_tracker_ids,

App 5737 stderr:     10:         Tracker.sorted.all.collect {|t| [t.name, t.id.to_s]}) ></p>

App 5737 stderr:     11:

App 5737 stderr:     12: <p><= setting_check_box :sequential_project_identifiers %></p>

App 5737 stderr:   app/views/settings/_projects.html.erb:9:in `block in app_views_settings

_projects_html_erb__3474901352282541166_47917740'

App 5737 stderr:   app/views/settings/_projects.html.erb:1:in

`_app_views_settings__projects_html_erb__3474901352282541166_47917740'

App 5737 stderr:   app/views/common/_tabs.html.erb:24:in `block in app_views_common

_tabs_html_erb___3869853879576479455_44274320'

App 5737 stderr:   app/views/common/_tabs.html.erb:23:in `each'

App 5737 stderr:   app/views/common/_tabs.html.erb:23:in

`_app_views_common__tabs_html_erb___3869853879576479455_44274320'

App 5737 stderr:   app/helpers/application_helper.rb:272:in `render_tabs'

App 5737 stderr:   app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb___2635286724216825228_28834520'

App 5737 stderr:   app/controllers/settings_controller.rb:28:in `index'

App 5737 stderr:

App 5737 stderr:

History

#1 - 2014-06-03 12:32 - Robert Dembrowski

i'm very sorry please close this. I just installed adapter mysql2.

#2 - 2014-06-04 03:14 - Toshi MARUYAMA

- Status changed from New to Closed
